import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/vigneswaran009/14ccb1906157bad2cd15b8fcce2b459b/raw/CovidBedStatus.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.Population = +d['Total_covid_vacant'];
      return d;
    };
  
     console.log("I was called");
    csv(csvUrl, row).then(data => {
       
     var sorted = data.sort((a, b) => d3.descending(parseInt(a.Total_covid_vacant), parseInt(b.Total_covid_vacant)));
      
    
var top10 = sorted.slice(0, 20); // slice the first 10
      
      console.log("Top 10");
     console.log(top10);
setData(top10)

    //setData(top10.filter(function(v) { return v.Total_covid_vacant != 0; }));
      



    });
  }, []);
    console.log("LET");
 
  return data;

};